PHP K�sikirja
Edellinen |  | Seuraava

# DOMDocument->schemaValidate()

DOMDocument->schemaValidate() -- Validates a document based on a schema

## Description

class DOMDocument {
bool schemaValidate ( string filename )
}

Validates a document based on a the given schema file.

## Parameters

filename

  The path to the schema.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## See Also

DOMDocument->schemaValidateSource()
DOMDocument->relaxNGValidate()
DOMDocument->relaxNGValidateSource()
DOMDocument->validate()

Edellinen | Alkuun | Seuraava
DOMDocument->saveXML() | Ylös | DOMDocument->schemaValidateSource()